$ErrorActionPreference = 'Stop';

$packageName= 'invantive-bridge-connectors-power-bi'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Bridge%20Connectors%20for%20PowerBI-17.15.0.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Bridge%20Connectors%20for%20PowerBI-17.15.0.msi'
  softwareName = 'Invantive Bridge Connectors for PowerBI'
  checksum = 'B1DD255536F0B959BC55EB6BE130D42D54803E22377BBC8ACDA1365E3AF40408'
  checksumType = 'sha256'
  checksum64 = 'B1DD255536F0B959BC55EB6BE130D42D54803E22377BBC8ACDA1365E3AF40408'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-bridge-connectors-power-bi-17.15.0-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
